dnl $Id: config.m4,v 1.3 2005/04/15 15:10:48 dolphy Exp $
dnl config.m4 for extension squale

dnl If your extension references something external, use with:

PHP_ARG_WITH(squale, for squale support,
             [  --with-squale             Include squale support])

if test "$PHP_SQUALE" != "no"; then

  dnl # --with-squale -> check with-path
  SEARCH_PATH="/usr/local /usr" 
  SEARCH_FOR="/include/squaleclient.h"
  if test -r $PHP_SQUALE/; then # path given as parameter
    SQUALE_DIR=$PHP_SQUALE
  else # search default path list
    AC_MSG_CHECKING([for squale files in default path])
    for i in $SEARCH_PATH ; do
      if test -r $i/$SEARCH_FOR; then
        SQUALE_DIR=$i
        AC_MSG_RESULT(found in $i)
      fi
    done
  fi
 
  if test -z "$SQUALE_DIR"; then
    AC_MSG_RESULT([not found])
    AC_MSG_ERROR([Please reinstall the squale distribution])
  fi

  dnl # --with-squale -> add include path
  PHP_ADD_INCLUDE($SQUALE_DIR/include)

  dnl # --with-squale -> check for lib and symbol presence
  LIBNAME=squaleclient # you may want to change this
  LIBSYMBOL=squale_run_query # you most likely want to change this 

  PHP_CHECK_LIBRARY($LIBNAME,$LIBSYMBOL,
  [
    PHP_ADD_LIBRARY_WITH_PATH($LIBNAME, $SQUALE_DIR/lib, SQUALE_SHARED_LIBADD)
    AC_DEFINE(HAVE_SQUALELIB,1,[ ])
  ],[
    PHP_CHECK_LIBRARY($LIBNAME,$LIBSYMBOL,
    [
      PHP_ADD_LIBRARY_WITH_PATH($LIBNAME, $SQUALE_DIR/lib64, SQUALE_SHARED_LIBADD)
      AC_DEFINE(HAVE_SQUALELIB,1,[ ])
    ],[
      AC_MSG_ERROR([wrong squale lib version or lib not found])
    ],[
      -L$SQUALE_DIR/lib64 -lm -ldl -lglib-2.0
    ])
  ],[
    -L$SQUALE_DIR/lib -lm -ldl -lglib-2.0
  ])
 
  PHP_SUBST(SQUALE_SHARED_LIBADD)

  PHP_NEW_EXTENSION(squale, squale.c, $ext_shared)
fi
