/*  SQuaLe
 *
 *  Copyright (C) 2004 Julien Moutte <julien@moutte.net>
 *
 *  php_squale.h : Header for the SQuaLe php client module.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef PHP_SQUALE_H
#define PHP_SQUALE_H

extern zend_module_entry squale_module_entry;
#define phpext_squale_ptr &squale_module_entry

#ifdef PHP_WIN32
#define PHP_SQUALE_API __declspec(dllexport)
#else
#define PHP_SQUALE_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(squale);
PHP_MSHUTDOWN_FUNCTION(squale);
PHP_MINFO_FUNCTION(squale);

PHP_FUNCTION (squale_run_query);
PHP_FUNCTION (squale_result_get_type);
PHP_FUNCTION (squale_result_get_processing_time);
PHP_FUNCTION (squale_result_get_assignation_time);
PHP_FUNCTION (squale_result_get_error);
PHP_FUNCTION (squale_result_get_warning);
PHP_FUNCTION (squale_result_get_affected_rows);
PHP_FUNCTION (squale_result_get_nb_rows);
PHP_FUNCTION (squale_result_get_nb_cols);
PHP_FUNCTION (squale_result_get_column_names);
PHP_FUNCTION (squale_result_get_value);
PHP_FUNCTION (squale_result_get_row);
PHP_FUNCTION (squale_result_get_resultset);

/* In every utility function you add that needs to use variables 
   in php_squale_globals, call TSRM_FETCH(); after declaring other 
   variables used by that function, or better yet, pass in TSRMLS_CC
   after the last function argument and declare your utility function
   with TSRMLS_DC after the last declared argument.  Always refer to
   the globals in your function as SQUALE_G(variable).  You are 
   encouraged to rename these macros something shorter, see
   examples in any other php module directory.
*/

#ifdef ZTS
#define SQUALE_G(v) TSRMG(squale_globals_id, zend_squale_globals *, v)
#else
#define SQUALE_G(v) (squale_globals.v)
#endif

#endif /* PHP_SQUALE_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * indent-tabs-mode: t
 * End:
 */
