# $Id: squale.spec.in,v 1.7 2004/11/03 18:19:16 thomasvs Exp $

Summary: Persistent SQL database connection libarary and daemon
Name: squale
Version: 0.1.12
Release: 1
License: GPL
Group: System Environment/Daemons
URL: http://www.dolph-tech.net/
Source: squale-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires(pre): /usr/sbin/useradd
Requires(post): /sbin/ldconfig, /sbin/chkconfig
Requires(preun): /sbin/chkconfig, /sbin/service
Requires(postun): /usr/sbin/userdel, /usr/sbin/groupdel, /sbin/ldconfig, /sbin/service
BuildRequires: glib2-devel, libxml2-devel, pkgconfig, gettext, popt
BuildRequires: perl(XML::Parser), gcc-c++
%{?_with_oracle:BuildRequires: libsqlora8-devel >= 2.2.0}
%{!?_without_mysql:BuildRequires: mysql-devel}
%{!?_without_postgresql:BuildRequires: postgresql-devel}

%description
SQuaLe.

Available rpmbuild rebuild options :
--with : oracle
--without : mysql postgresql


%package devel
Summary: Development headers and library for SQuaLe
Group: Development/Libraries
Requires: %{name} = %{version}, libxml2-devel, pkgconfig

%description devel
Development headers and library for SQuaLe.


%prep
%setup


%build
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%makeinstall
%find_lang %{name}

# Change the default log file
%{__perl} -pi -e 's|"/.*log"|"%{_localstatedir}/log/squale/squale.log"|g' \
    %{buildroot}%{_sysconfdir}/squale.xml
%{__mkdir_p} %{buildroot}%{_localstatedir}/log/squale

# Install the init script
%{__install} -m 0755 -D contrib/squale.init \
    %{buildroot}%{_initrddir}/squale

# Install the logrotate entry
%{__install} -m 0644 -D contrib/squale.logrotate \
    %{buildroot}%{_sysconfdir}/logrotate.d/squale

%{__rm} -rf %{buildroot}%{_libdir}/python?.?

%clean
%{__rm} -rf %{buildroot}


%pre
# Create system account
/usr/sbin/useradd -c "SQuaLe" -r -M -d / -s '' squale >/dev/null 2>&1 || :

%post
/sbin/ldconfig
/sbin/chkconfig --add squale

%preun
if [ $1 -eq 0 ]; then
    # Last removal, stop service and remove it
    /sbin/service squale stop >/dev/null 2>&1 || :
    /sbin/chkconfig --del squale
fi

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
    # Last removal, remove system account and matching group
    /usr/sbin/userdel squale >/dev/null 2>&1 || :
    /usr/sbin/groupdel squale >/dev/null 2>&1 || :
else
    /sbin/service squale condrestart >/dev/null 2>&1 || :
fi


%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%doc conf/squale.xml
%attr(0640, root, squale) %config(noreplace) %{_sysconfdir}/squale.xml
%config %{_sysconfdir}/logrotate.d/squale
%{_initrddir}/squale
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man?/*
%attr(0770, root, squale) %{_localstatedir}/log/squale

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Mar 26 2004 Matthias Saou <http://freshrpms.net/> 0.0.1-1
- Initial RPM release.

